CURLOPT_IOCTLDATA(3)

NAME
CURLOPT_IOCTLDATA - custom pointer passed to I/O callback

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_IOCTLDATA, void *pointer);

DESCRIPTION
Pass the pointer that will be untouched by libcurl and passed as the 3rd argument in the ioctl callback set with CURLOPT_IOCTLFUNCTION(3).

DEFAULT
By default, the value of this parameter is NULL.

PROTOCOLS
Used with HTTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.12.3

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_IOCTLFUNCTION(3), CURLOPT_SEEKFUNCTION(3),